package client_handlers

import (
	"cpone/utils"
	client_mdresultnonlab "cpone/views/client/mdresultnonlab"

	"github.com/labstack/echo/v4"
)

type MdResultNonLabService interface {
}

func NewMdResultNonLabHandler(us MdResultNonLabService) *MdResultNonLabHandler {
	return &MdResultNonLabHandler{
		MdResultNonLabService: us,
	}
}

type MdResultNonLabHandler struct {
	MdResultNonLabService MdResultNonLabService
}

func (uh *MdResultNonLabHandler) ShowMdResultNonLab(c echo.Context) error {
	helo := client_mdresultnonlab.Show()
	return utils.View(c, helo)
}
